import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'omnipresent-web-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {
  @Input() showLogin: boolean;
  @Input() isloggedin:boolean;
  @Input() username:string;
  @Input() profilePic:string;
  @Input() logo:string;
  @Input() title:string;
  @Input() headings:any;
  @Input() titleColor:string;
  @Input() HeaderBarColor:string;
  @Output() loginEventEmitter: EventEmitter<boolean>;
  @Output() logoutEventEmitter: EventEmitter<boolean>;
  loggedin:boolean;
  constructor() {
    this.loginEventEmitter = new EventEmitter();
    this.logoutEventEmitter = new EventEmitter();
  }

  ngOnInit() {
    this.logincheck() ;
  }

  ngDoCheck(): void {
    this.logincheck() ;
  }

  logincheck()  {
    if (this.isloggedin) {
      this.loggedin = this.isloggedin;
    } else  {
      this.loggedin = false;
    }
    console.log("logincheck");
  }


  login() {
    this.loginEventEmitter.emit(true);
  }

  logout() {
    this.logoutEventEmitter.emit(false);
  }
}
