import { Component, OnInit, EventEmitter, Output, Input } from '@angular/core';
import { AuthService } from '../services/auth.service';
import { User } from 'firebase';

@Component({
  selector: 'omnipresent-web-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.scss']
})
export class LoginComponent implements OnInit {
  @Input() emailPassword: boolean;
  @Input() google: boolean;
  @Input() twitter: boolean;
  @Input() doLogout: boolean;

  @Output() updateUserData: EventEmitter<User>;
  @Output() goToHomePage: EventEmitter<User>;
  @Output() logout: EventEmitter<boolean>;

  email: string;
  password: string;
  user: User;

  constructor(private authService: AuthService) {
    this.emailPassword = true;
    this.google = true;
    this.twitter = true;

    this.updateUserData = authService.updateUserData;
    this.goToHomePage = authService.goToHomePage;
    this.logout = authService.logoutEvent;
  }

  ngOnInit() {}

  loginWithGoogle() {
    this.authService.loginWithGoogle();
  }

  loginWithTwitter() {
    this.authService.loginWithTwitter();
  }
  loginWithEmail() {
    this.authService.login(this.email, this.password);
  }

  onLogout() {
    this.authService.logout();
  }
}
