import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { OmnipresentWebLibComponent } from './omnipresent-web-lib.component';
import { BrowserModule } from '@angular/platform-browser';
import { LoginComponent } from './login/login.component';
import { ViewImageComponent } from './view-image/view-image.component';
import { FormsModule } from '@angular/forms';
import { TableComponent } from './table/table.component';
import { DatePipe } from '@angular/common';
import { NgxPaginationModule } from 'ngx-pagination';
import { ModalComponent } from './modal/modal.component';
import { SideNavComponent } from './side-nav/side-nav.component';
import { HeaderComponent } from './header/header.component';
import { LoadingSpinnerComponent } from './loading-spinner/loading-spinner.component';
import { ProfileComponent } from './profile/profile.component';
import { NotificationComponent } from './notification/notification.component';
import { NotificationDropdownListComponent } from './notification-dropdown-list/notification-dropdown-list.component';
import { UploadFileComponent } from './upload-file/upload-file.component';
import { AngularFirestoreModule } from '@angular/fire/firestore';
import { AngularFireStorageModule } from '@angular/fire/storage';
import { AccordianComponent } from './accordian/accordian.component';
import { UserInfoComponent } from './user-info/user-info.component';

@NgModule({
  declarations: [
    OmnipresentWebLibComponent,
    LoginComponent,
    ViewImageComponent,
    TableComponent,
    ModalComponent,
    SideNavComponent,
    HeaderComponent,
    LoadingSpinnerComponent,
    ProfileComponent,
    NotificationComponent,
    NotificationDropdownListComponent,
    UploadFileComponent,
    AccordianComponent,
    UserInfoComponent
  ],
  imports: [BrowserModule, FormsModule, NgxPaginationModule, AngularFirestoreModule, AngularFireStorageModule],
  exports: [
    OmnipresentWebLibComponent,
    LoginComponent,
    ViewImageComponent,
    TableComponent,
    ModalComponent,
    SideNavComponent,
    HeaderComponent,
    LoadingSpinnerComponent,
    ProfileComponent,
    NotificationDropdownListComponent,
    UploadFileComponent,
    AccordianComponent,
    UserInfoComponent
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  providers: [DatePipe]
})
export class OmnipresentWebLibModule {}
