import { Component, OnInit, Input, HostListener } from '@angular/core';
import { MenuItem } from './menu.model';
import { Router } from '@angular/router';
import { LoginComponent } from '../login/login.component';

@Component({
  selector: 'omnipresent-web-side-nav',
  templateUrl: './side-nav.component.html',
  styleUrls: ['./side-nav.component.scss']
})
export class SideNavComponent implements OnInit {
  @Input() menuItems: MenuItem[];
  expanded = false;
  selectedMenuItem: MenuItem;

  constructor(private router: Router) {
    const initialMenuItem = {
      name: 'Login',
      icon: '',
      path: 'login',
      component: LoginComponent,

    };
    this.menuItems = [initialMenuItem];
    this.selectedMenuItem = this.menuItems[0];
  }

  ngOnInit() {

  }

  expandMenu(menuItem: MenuItem, event) {
    event.stopPropagation();
    this.selectedMenuItem = menuItem;
    this.expanded = true;
  }
  @HostListener('document:click', ['$event']) clickout(event) {
    this.expanded = false;
  }

  goTo(item: MenuItem) {
    this.router.navigate([item.path]);
  }

}
