import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { TouchSequence } from 'selenium-webdriver';
import { initDomAdapter } from '@angular/platform-browser/src/browser';
import { async } from 'q';
import {NgxPaginationModule} from 'ngx-pagination';
import { Page } from './page.model';
import  {Pageable} from './page.model';

@Component({
  selector: 'tables-table',
  templateUrl: './table.component.html',
  styleUrls: ['./table.component.css']
})
export class TableComponent implements OnInit {
  @Input()header: string;
  @Input()headers: string[];
  @Input() data: any;
  @Input() page: Page;
  dataKeys: string[];
  @Input()color:string =  'rgb(135,206,235)';
  public getItems:any
  pagenumber:number;
  p:number=1;
  @Output() pageChanged: EventEmitter<number>;
  @Output() rowClicked: EventEmitter<any>;

  constructor() {
    this.pageChanged = new EventEmitter();
    this.rowClicked = new EventEmitter();
   }

  ngOnInit() {

  }

  ngDoCheck(): void {
    this.setDataKeys();
  }

  getColor(i) {
    let lighterColor = this.color.replace(')', ', 0.5)');
    if (i % 2 === 0 && i !== 0) { i = 'odd'; }
    if (this.data && (this.data.length - 1 === i)) {i = 'last'}
    switch (i) {
      case i = 0: return this.color;
      case i = 'odd' : return this.color;
    }
    return lighterColor;
  }

  setDataKeys() {
    if (this.data)  {
      this.dataKeys = Object.keys(this.data[0]);
    }
    else if(this.page) {
      this.dataKeys = Object.keys(this.page.content[0]);    }
    else {
      this.dataKeys = [];
    }
  }
  rowclicked(item)  {
    this.rowClicked.emit(item);
    console.log(item);
  }


}
