import { Component, OnInit ,ElementRef, Inject, Input} from '@angular/core';

import { injectComponentFactoryResolver, nextContext } from '@angular/core/src/render3';
import { FormsModule } from '@angular/forms';
import { BrowserModule  } from '@angular/platform-browser';
import {FormControl, FormGroup} from '@angular/forms';


@Component({
  selector: 'OIV-view-image',
  templateUrl: './view-image.component.html',
  styleUrls: ['./view-image.component.css']
})
export class ViewImageComponent implements OnInit {
  show:boolean;
  @Input() data:any;
  images: string[];
  index1 : number;
  right;
  left;
  picterno:number;
  elRef: ElementRef;
  weekIms = [];
  imageno:string;
  mainImage: string;
  selectedImage:number;
  counter1:number = 0;
  constructor() {
        this.show = false;
  }

  ngOnInit() {
    this.picterno = 0;
  }
  ngDoCheck(): void {
    if(this.data) {
      this.counter1++;
      if(this.counter1==1){this.assignImages();}
    }
    else  {
      this.images = [];
    }
  }

  OnRight() {
    if (this.picterno + 8 < this.data.length) {
      this.picterno += 8;
      this.assignImages();
    }
  }

  OnLeft() {
    if (this.picterno - 8 > -1)  {
      this.picterno -= 8 ;
      this.assignImages();
    }
  }

  assignImages() {
    var tempImg= [];
    for(let i=0; i<8; i++) {
      tempImg.push(this.data[i+this.picterno]);
      this.images = tempImg;
    }
  }

  clickImage(imageno)  {
    this.assignImages();
    this.show = true;
    this.selectedImage = this.images.indexOf(this.imageno);
    this.mainImage = this.imageno;
  }

  closeImage()  {
    this.show = false;
  }

  next()  {
    if (this.selectedImage < this.images.length - 1) {
      this.selectedImage += 1;
      this.mainImage = this.images[this.selectedImage];
    }
  }

  prev()  {
    if (this.selectedImage > -1) {
      this.selectedImage -= 1;
      this.mainImage = this.images[this.selectedImage];
  }
  }
}
