import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LoginTesterComponent } from './login-tester/login-tester.component';
import { MenuItem } from 'projects/omnipresent-web-lib/src/lib/side-nav/menu.model';
import { ModalTesterComponent } from './modal-tester/modal-tester.component';
import { HeaderTesterComponent } from './header-tester/header-tester.component';
import { LoadingSpinnerTesterComponent } from './loading-spinner-tester/loading-spinner-tester.component';
import { ProfileTesterComponent } from './profile-tester/profile-tester.component';
import { NotificationTesterComponent } from './notification-tester/notification-tester.component';
import { UploadFileTesterComponent } from './upload-file-tester/upload-file-tester.component';
import { AccordianTesterComponent } from './accordian-tester/accordian-tester.component';
import { UserInfoTesterComponent } from './user-info-tester/user-info-tester.component';

export const routes: MenuItem[] = [
  {
    name: 'default',
    path: '',
    redirectTo: '/login',
    pathMatch: 'full'
  },
  {
    name: 'login',
    path: 'login',
    component: LoginTesterComponent
  },
  {
    name: 'modal',
    path: 'modal',
    component: ModalTesterComponent
  },
  {
    name: 'header',
    path: 'header',
    component: HeaderTesterComponent
  },
  {
    name: 'LoadingSpinner',
    path: 'LoadingSpinner',
    component: LoadingSpinnerTesterComponent
  },
  {
    name: 'Profile',
    path: 'profile',
    component: ProfileTesterComponent
  },
  {
    name: 'Notification',
    path: 'notification',
    component: NotificationTesterComponent
  },
  {
    name: 'Upload File',
    path: 'upload',
    component: UploadFileTesterComponent
  },
  {
    name: 'Accordian',
    path: 'accordian',
    component: AccordianTesterComponent
  },
  {
    name: 'user-info',
    path: 'user-info',
    component: UserInfoTesterComponent
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
  declarations: []
})
export class AppRoutingModule {}
