import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';

import { AngularFireModule } from '@angular/fire';
import { AngularFirestoreModule } from '@angular/fire/firestore';
import { AngularFireAuthModule } from '@angular/fire/auth';
import { environment } from '../environments/environment';
import { OmnipresentWebLibModule } from 'projects/omnipresent-web-lib/src/public-api';
import { AppRoutingModule } from './app-routing.module';
import { LoginTesterComponent } from './login-tester/login-tester.component';
import { ModalTesterComponent } from './modal-tester/modal-tester.component';
import { HeaderTesterComponent } from './header-tester/header-tester.component';
import { LoadingSpinnerTesterComponent } from './loading-spinner-tester/loading-spinner-tester.component';
import { ProfileTesterComponent } from './profile-tester/profile-tester.component';
import { NotificationTesterComponent } from './notification-tester/notification-tester.component';
import { UploadFileTesterComponent } from './upload-file-tester/upload-file-tester.component';
import { AccordianTesterComponent } from './accordian-tester/accordian-tester.component';
import { UserInfoTesterComponent } from './user-info-tester/user-info-tester.component';

@NgModule({
  declarations: [
    AppComponent,
    LoginTesterComponent,
    ModalTesterComponent,
    HeaderTesterComponent,
    LoadingSpinnerTesterComponent,
    ProfileTesterComponent,
    NotificationTesterComponent,
    UploadFileTesterComponent,
    AccordianTesterComponent,
    UserInfoTesterComponent
  ],
  imports: [
    AngularFireModule.initializeApp(environment.firebase),
    AngularFirestoreModule,
    AngularFireAuthModule,
    BrowserModule,
    OmnipresentWebLibModule,
    AppRoutingModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {}
